import { FormbricksAPI } from '@formbricks/api';
import { TJsConfigInput } from '@formbricks/types/js';

declare const _default: {
    init: (initConfig: {
        environmentId: string;
        apiHost: string;
        debug?: boolean | undefined;
        errorHandler?: ((args_0: any, ...args_1: unknown[]) => void) | undefined;
        userId?: string | undefined;
        attributes?: Record<string, string | number> | undefined;
    }) => Promise<void>;
    setUserId: () => Promise<void>;
    setEmail: (email: string) => Promise<void>;
    setAttribute: (key: string, value: any) => Promise<void>;
    track: (name: string, properties?: any) => Promise<void>;
    logout: () => Promise<void>;
    reset: () => Promise<void>;
    registerRouteChange: () => Promise<void>;
    getApi: () => FormbricksAPI;
};
export default _default;

declare const formbricks: {
    init: (initConfig: TJsConfigInput) => Promise<void>;
    setUserId: () => Promise<void>;
    setEmail: (email: string) => Promise<void>;
    setAttribute: (key: string, value: any) => Promise<void>;
    track: (name: string, properties?: any) => Promise<void>;
    logout: () => Promise<void>;
    reset: () => Promise<void>;
    registerRouteChange: () => Promise<void>;
    getApi: () => FormbricksAPI;
};

export declare type FormbricksType = typeof formbricks;

export { }
